<resources xmlns:tools="http://schemas.android.com/tools">
    <!-- Base application theme. -->
    <style name="Theme.CrUAV" parent="Theme.Design.NoActionBar">
        <!-- Primary brand color. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorPrimaryVariant">@color/purple_700</item>
        <item name="colorOnPrimary">@color/white</item>
        <!-- Status bar color. -->
        <!--        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>-->
        <!-- Customize your theme here. -->
        <item name="android:fontFamily">@font/adr</item>
    </style>

    <!--大疆视图-顶部信息-样式-->
    <style name="dji_top_text_style">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">@dimen/sp_11</item>
        <item name="android:textStyle">bold</item>
    </style>
    <!--大疆视图-顶部信息-标题-样式-->
    <style name="dji_top_text_title_style">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textColor">@color/title</item>
        <item name="android:textSize">@dimen/sp_10</item>
        <item name="android:textStyle">bold</item>
    </style>
    <!--大疆视图-顶部信息-值-样式-->
    <style name="dji_top_text_value_style">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">@dimen/sp_11</item>
        <item name="android:textStyle">bold</item>
    </style>

    <!--竖向分隔条-->
    <style name="view_split_v1">
        <item name="android:layout_width">@dimen/cr_1_dp</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:layout_marginLeft">@dimen/cr_1_dp</item>
        <item name="android:layout_marginRight">@dimen/cr_1_dp</item>
        <item name="android:background">@drawable/shape_back_view_v</item>
    </style>

    <!--横向分隔条-->
    <style name="view_split_h1">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/cr_1_dp</item>
        <item name="android:layout_marginTop">@dimen/cr_3_dp</item>
        <item name="android:layout_marginBottom">@dimen/cr_3_dp</item>
        <item name="android:background">@drawable/shape_back_view_h</item>
    </style>

    <style name="view_split_h2" parent="view_split_h1">
        <item name="android:layout_marginTop">0dp</item>
        <item name="android:layout_marginBottom">0dp</item>
    </style>


    <!--大疆视图-顶部信息-组件-样式-->
    <style name="dji_top_component">
        <item name="android:layout_width">@dimen/cr_66_dp</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:layout_weight">0</item>
        <item name="android:gravity">center_vertical|center_horizontal</item>
    </style>

    <!--大疆直播视图容器-->
    <style name="dji_live_component" parent="dji_top_component">
        <item name="android:layout_width">@dimen/cr_40_dp</item>
    </style>

    <!--大疆顶部视图-组件-图片样式-->
    <style name="dji_top_component_img">
        <item name="android:layout_width">@dimen/cr_30_dp</item>
        <item name="android:layout_height">@dimen/cr_30_dp</item>
        <item name="background">@drawable/shape_back_view_v</item>
        <item name="android:padding">@dimen/cr_3_dp</item>
        <item name="android:layout_weight">0</item>
    </style>

    <!--大疆顶部视图-组件-容器样式-->
    <style name="dji_top_component_panel">
        <item name="android:layout_width">@dimen/cr_30_dp</item>
        <item name="android:layout_height">@dimen/cr_30_dp</item>
        <item name="android:layout_weight">0</item>
    </style>

    <!--大疆顶部视图-组件-文字-容器样式-->
    <style name="dji_top_component_lbl_panel">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:orientation">vertical</item>
        <item name="android:gravity">center_horizontal</item>
        <item name="android:layout_weight">1</item>
    </style>

    <!--大疆相机信息组件宽度-->
    <style name="dji_camera_component" parent="dji_top_component">
        <item name="android:layout_width">@dimen/cr_40_dp</item>
    </style>

    <!--文本框通用样式 必须调用-->
    <style name="text_default">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:includeFontPadding">false</item>
        <item name="android:gravity">center_vertical</item>
    </style>

    <!--通用标签样式-->
    <style name="text_label" parent="text_default">
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">@dimen/sp_10</item>
        <item name="android:textStyle">bold</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:layout_gravity">center</item>
        <item name="android:layout_marginLeft">@dimen/cr_3_dp</item>
        <item name="android:layout_marginRight">@dimen/cr_3_dp</item>
    </style>

    <!--案件上传文字样式-->
    <style name="text_case_upload" parent="text_default">
        <item name="android:layout_height">match_parent</item>
        <item name="android:textSize">@dimen/sp_10</item>
        <item name="android:textColor">@color/yellow</item>
        <item name="android:layout_marginLeft">@dimen/cr_5_dp</item>
        <item name="android:layout_marginRight">@dimen/cr_5_dp</item>
    </style>

    <!--登录界面相关样式集合-->
    <!--密码和用户名输入框文字样式-->
    <style name="login_txt_style" parent="text_default">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:textSize">@dimen/sp_14</item>
        <item name="android:includeFontPadding">false</item>
        <item name="android:textColor">@color/white</item>
    </style>
    <!--登录按钮样式-->
    <style name="login_button_style">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/cr_30_dp</item>
        <item name="android:background">@drawable/btn_red_selector</item>
        <item name="android:layout_margin">@dimen/cr_2_dp</item>
        <item name="android:textSize">@dimen/sp_14</item>
        <item name="android:textAlignment">center</item>
        <item name="android:layout_weight">1</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:letterSpacing">1.0</item>
    </style>
    <!--登录界面底部版权和技术支持的文本样式-->
    <style name="login_bottom_lbl_style">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_marginBottom">@dimen/cr_3_dp</item>
        <item name="android:textAlignment">center</item>
        <item name="android:textSize">@dimen/sp_12</item>
        <item name="android:textColor">@color/white</item>
    </style>
    <!--开关样式-->
    <style name="switch_common">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textOn">@string/switch_on_text</item>
        <item name="android:textOff">@string/switch_off_text</item>
        <item name="android:track">@drawable/switch_track</item>
        <item name="android:thumb">@drawable/switch_thumb</item>
        <item name="android:showText">true</item>
        <item name="android:layout_gravity">center</item>
        <item name="android:layout_marginLeft">@dimen/cr_3_dp</item>
        <item name="android:layout_marginRight">@dimen/cr_3_dp</item>
        <item name="android:switchTextAppearance">@style/switch_text_default</item>
    </style>
    <!--开关文字样式-->
    <style name="switch_text_default" parent="@style/TextAppearance.AppCompat.Widget.Switch">
        <item name="android:textSize">@dimen/sp_8</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="switch_text_on" parent="@style/TextAppearance.AppCompat.Widget.Switch">
        <item name="android:textSize">@dimen/sp_8</item>
        <item name="android:textColor">@color/white</item>
    </style>
    <!--按钮通用样式-->
    <style name="btn_common">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/cr_24_dp</item>
        <item name="android:text">@string/frm_ic_btn_set</item>
        <item name="android:textSize">@dimen/sp_14</item>
        <item name="android:layout_margin">@dimen/common_margin</item>
        <item name="android:background">@drawable/btn_blue_selector</item>
        <item name="android:layout_weight">1</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:letterSpacing">0.3</item>
    </style>

    <style name="btn_default" parent="btn_common">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">@dimen/cr_30_dp</item>
        <item name="android:text">@string/frm_ic_btn_set</item>
        <item name="android:layout_margin">@dimen/common_margin</item>
        <item name="android:background">@drawable/btn_blue_selector</item>
        <item name="android:layout_weight">0</item>
        <item name="android:paddingLeft">@dimen/cr_5_dp</item>
        <item name="android:paddingRight">@dimen/cr_5_dp</item>
    </style>
    <!--对话框样式-->
    <style name="Dialog" parent="android:style/Theme.Dialog">
        <item name="android:background">@android:color/transparent</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowNoTitle">true</item>
        <!--被软键盘顶起还是覆盖 ture为顶起 false为覆盖-->
        <item name="android:windowIsFloating">true</item>
        <!--对话框的背景是否变暗-->
        <item name="android:backgroundDimEnabled">true</item>
        <!--灰色背景透明度-->
        <item name="android:backgroundDimAmount">0.6</item>
    </style>

    <!--文本标题样式-->
    <style name="lbl_title_common">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textSize">@dimen/sp_14</item>
        <item name="android:layout_marginRight">@dimen/common_margin</item>
        <item name="android:textColor">@color/yellow</item>
    </style>

    <style name="lbl_value_common">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textSize">@dimen/sp_14</item>
        <item name="android:layout_marginRight">@dimen/common_margin</item>
        <item name="android:textColor">@color/white</item>
    </style>
    <!--通用按钮样式-->
    <style name="lbl_button_common">
        <item name="background">@drawable/btn_red_selector</item>
        <item name="android:layout_height">@dimen/cr_30_dp</item>
        <item name="android:layout_width">wrap_content</item>
        <item name="android:paddingLeft">@dimen/cr_8_dp</item>
        <item name="android:paddingRight">@dimen/cr_8_dp</item>
        <item name="android:textSize">@dimen/sp_12</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <!--主页面底部信息框文字样式-->
    <style name="lbl_title_main_bottom" parent="lbl_title_common">
        <item name="android:textSize">@dimen/cr_12_dp</item>
    </style>

    <!--垂直布局的标签-->
    <style name="lbl_title_v" parent="lbl_title_main_bottom">
        <item name="android:layout_margin">@dimen/common_padding</item>
    </style>

    <!--工具外框样式-->
    <style name="tools_left_panel">
        <item name="android:layout_width">@dimen/cr_34_dp</item>
        <item name="android:layout_height">@dimen/cr_34_dp</item>
        <item name="android:padding">@dimen/cr_8_dp</item>
        <item name="android:background">@drawable/btn_tools_selector</item>
        <item name="android:gravity">center</item>
    </style>
    <!--工具外框样式-->
    <style name="tools_top_panel" parent="tools_left_panel">
        <item name="android:layout_marginLeft">0dp</item>
    </style>

    <!--工具图片样式-->
    <style name="tools_image">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:scaleType">fitCenter</item>
    </style>

    <!--上部图片 下部文字 按钮样式-->
    <style name="button_panel">
        <item name="android:layout_width">@dimen/cr_30_dp</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:padding">@dimen/common_padding</item>
        <item name="android:background">@drawable/btn_imgbtn_selector</item>
        <item name="android:layout_marginLeft">@dimen/common_padding</item>
        <item name="android:layout_marginRight">@dimen/common_padding</item>
        <item name="android:gravity">center</item>
        <item name="android:orientation">vertical</item>
    </style>

    <style name="button_image">
        <item name="android:layout_width">@dimen/cr_20_dp</item>
        <item name="android:layout_height">@dimen/cr_20_dp</item>
        <item name="android:scaleType">fitCenter</item>
        <item name="background">@drawable/shape_image_circle</item>
    </style>

    <style name="button_title">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textSize">@dimen/sp_10</item>
        <item name="android:textColor">@color/yellow</item>
        <item name="android:layout_marginTop">@dimen/common_margin</item>
        <item name="android:gravity">center</item>
    </style>

    <!--图层控制页面基础组件-->
    <style name="item_layer_base">
        <item name="android:layout_weight">0</item>
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:textColor">@color/white</item>
    </style>
    <!--图层控制页面Padding样式-->
    <style name="item_layer_padding" parent="item_layer_base">
        <item name="android:layout_marginRight">@dimen/cr_8_dp</item>
    </style>
    <!--图层名称样式-->
    <style name="item_layer_name" parent="item_layer_base">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:textSize">@dimen/sp_10</item>
        <item name="android:gravity">center_vertical</item>
    </style>
    <!--图层控制小标签样式-->
    <style name="item_layer_label" parent="item_layer_padding">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:textSize">@dimen/sp_9</item>
        <item name="android:textColor">@color/yellow</item>
        <item name="android:gravity">center_vertical</item>
    </style>

    <!--按钮视图背景样式-->
    <style name="view_button_panel">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/cr_24_dp</item>
        <item name="android:layout_marginTop">@dimen/cr_5_dp</item>
        <item name="android:layout_marginBottom">@dimen/cr_5_dp</item>
    </style>
    <!--按钮视图图标样式-->
    <style name="view_button_image">
        <item name="android:layout_width">@dimen/cr_16_dp</item>
        <item name="android:layout_height">@dimen/cr_16_dp</item>
        <item name="android:textSize">@dimen/sp_12</item>
        <item name="android:textColor">@color/ico_color</item>
        <item name="android:gravity">center</item>
    </style>
    <!--按钮视图文字样式-->
    <style name="view_button_text">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:textSize">@dimen/sp_11</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:textStyle">bold</item>
    </style>
    <!--工具操作具体页面行样式-->
    <style name="view_tools_line_row">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/cr_24_dp</item>
        <item name="android:orientation">horizontal</item>
        <item name="android:gravity">center</item>
        <item name="android:paddingLeft">@dimen/cr_8_dp</item>
    </style>
    <!--工具操作具体页面按钮行样式-->
    <style name="view_tools_line_row_button">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/cr_24_dp</item>
        <item name="android:layout_marginLeft">@dimen/cr_5_dp</item>
        <item name="android:layout_marginRight">@dimen/cr_5_dp</item>
    </style>
    <!--工具操作页面行内文字样式-->
    <style name="view_tools_line_row_title" parent="lbl_title_common">
        <item name="android:textSize">@dimen/sp_13</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_weight">1</item>
    </style>
    <!--图片编辑页面线条颜色控制按钮样式-->
    <style name="fie_line_color_button">
        <item name="android:layout_width">@dimen/cr_24_dp</item>
        <item name="android:layout_height">@dimen/cr_24_dp</item>
        <item name="android:clickable">true</item>
        <item name="android:layout_marginLeft">@dimen/cr_4_dp</item>
        <item name="android:layout_marginRight">@dimen/cr_4_dp</item>
        <item name="android:orientation">horizontal</item>
        <item name="background">@drawable/btn_imgbtn_selector</item>
    </style>
    <!--沾满整个区域 标签-->
    <style name="lbl_title_common_match" parent="lbl_title_common">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:gravity">center</item>
        <item name="android:textSize">@dimen/sp_10</item>
        <item name="android:layout_weight">1</item>
    </style>

    <style name="lbl_value_common_match" parent="lbl_value_common">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:gravity">center</item>
        <item name="android:textSize">@dimen/sp_10</item>
        <item name="android:layout_weight">1</item>
    </style>
    <!--案件上传页面title样式-->
    <style name="up_lbl_common" parent="lbl_title_common">
        <item name="android:layout_marginBottom">@dimen/cr_5_dp</item>
        <item name="android:layout_marginTop">@dimen/cr_5_dp</item>
    </style>

    <style name="Theme">Theme.NoTitleBar.Fullscreen</style>

    <!-- ConstraintLayout 布局中通用内容 上下占满 -->
    <style name="common_match_panel_v">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">0dp</item>
        <item name="android:layout_marginTop">@dimen/common_margin</item>
        <item name="android:layout_marginBottom">@dimen/common_margin</item>
        <item name="android:orientation">vertical</item>
    </style>

    <!--通用左侧文本标题-->
    <style name="lbl_common_title_left" parent="lbl_title_common">
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">@dimen/sp_12</item>
        <item name="android:layout_margin">@dimen/cr_6_dp</item>
    </style>

    <!--直播页面布局-->
    <!--标题头标题文字样式-->
    <style name="live_head_title" parent="lbl_title_common">
        <item name="android:textColor">@color/white</item>
        <item name="android:layout_centerVertical">true</item>
        <item name="android:layout_marginLeft">@dimen/cr_10_dp</item>
    </style>
    <!--标题头按钮内文字样式-->
    <style name="live_head_button_label" parent="lbl_title_common">
        <item name="android:textSize">@dimen/sp_12</item>
    </style>
    <!--标题头样式-->
    <style name="live_head_main">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/cr_24_dp</item>
    </style>
    <!--标题头按钮容器样式-->
    <style name="live_head_button_panel">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:layout_alignParentRight">true</item>
        <item name="android:layout_marginRight">@dimen/common_margin</item>
        <item name="android:gravity">center</item>
        <item name="android:clickable">true</item>
        <item name="android:background">@drawable/btn_imgbtn_selector</item>
        <item name="android:padding">@dimen/common_padding</item>
    </style>
    <!--标题头按钮内图标样式-->
    <style name="live_head_button_icon">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:text">@string/default_a</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">@dimen/sp_14</item>
        <item name="android:layout_marginRight">@dimen/common_margin</item>
    </style>
    <!--选择器容器样式-->
    <style name="live_wheel_panel">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/cr_80_dp</item>
        <item name="android:layout_marginLeft">@dimen/cr_20_dp</item>
        <item name="android:layout_marginRight">@dimen/cr_20_dp</item>
    </style>

    <!--航线管理器样式集合-->
    <!--行容器样式-->
    <style name="air_line_row_panel">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/cr_24_dp</item>
    </style>
    <!--行容器标题样式-->
    <style name="air_line_row_title" parent="lbl_title_common">
        <item name="android:layout_width">@dimen/cr_80_dp</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:gravity">center_vertical|right</item>
        <item name="android:textSize">@dimen/sp_12</item>
        <item name="android:layout_marginRight">@dimen/cr_8_dp</item>
    </style>
    <!--行容器值样式-->
    <style name="air_line_row_value" parent="air_line_row_title">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:layout_weight">1</item>
        <item name="android:gravity">center_vertical|left</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <!--ListView通用样式-->
    <style name="list_view_common">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">0dp</item>
        <item name="android:layout_weight">1</item>
        <item name="android:divider">@null</item>
        <item name="android:dividerHeight">0dp</item>
    </style>

    <!--自定义文本框属性-->
    <declare-styleable name="ViewEditTextProperty">
        <attr name="crHint" />
        <attr name="crLeftImg" />
        <attr name="crLeftResource" />
        <attr name="crIsPassword" />
        <attr name="crIcoColor" />
        <attr name="crHintColor" />
        <attr name="crTextColor" />
    </declare-styleable>

    <!--自定义导航栏属性-->
    <declare-styleable name="ViewNavigationBar">
        <attr name="crTitle" />
        <attr name="isGotoBack" format="boolean" />
        <attr name="isDismiss" format="boolean" />
    </declare-styleable>

    <!--自定义按钮属性-->
    <declare-styleable name="ViewButton">
        <attr name="crTitle" />
        <attr name="crLeftResource" />
        <attr name="crClickGround" format="reference" />
    </declare-styleable>

    <!--速度控件属性-->
    <declare-styleable name="CrSpeedWidget">
        <attr name="speedTitle" format="string" />
        <attr name="speedProgress" format="integer" />
    </declare-styleable>

    <!--图标控件属性-->
    <declare-styleable name="CrICON">
        <attr name="cr_font" format="string"></attr>
    </declare-styleable>

    <!--指示器组件-->
    <declare-styleable name="CrIndicator">
        <attr name="cr_count" format="integer"></attr>
        <attr name="cr_index" format="integer"></attr>
    </declare-styleable>
</resources>